#include "AkPortalComponent.h"
#include "AkAcousticPortalState.h"

class UPrimitiveComponent;

void UAkPortalComponent::SetPortalOcclusion(float InPortalOcclusion)
{

}

void UAkPortalComponent::SetDynamic(bool bInDynamic)
{

}

bool UAkPortalComponent::PortalPlacementValid() const
{
	return false;
}

UPrimitiveComponent* UAkPortalComponent::GetPrimitiveParent() const
{
	return NULL;
}

float UAkPortalComponent::GetPortalOcclusion() const
{
	return 0.0f;
}

AkAcousticPortalState UAkPortalComponent::GetCurrentState() const
{
	return AkAcousticPortalState::Closed;
}

void UAkPortalComponent::EnablePortal()
{

}

void UAkPortalComponent::DisablePortal()
{

}

UAkPortalComponent::UAkPortalComponent()
{
	this->bDynamic = false;
	this->InitialState = AkAcousticPortalState::Open;
	this->InitialOcclusion = 0.000000;
	this->ObstructionRefreshInterval = 0.000000;
	this->ObstructionCollisionChannel = ECC_Visibility;
}
